/* 
 * Copyright 1991 Oliver Jones
 * Permission to use, copy, modify, distribute, and sell this software
 * for any purpose is hereby granted without fee.  No representations
 * are made by anyone about the suitability of this software for any
 * purpose.  It is provided "as is" without express or implied
 * warranty. 
 */

#ifndef _IMAGE_H_
#define _IMAGE_H_

/* drawing-action routines */
/* menu choices */
void File   ();
void Edit   ();
void Choose ();

/* exposures */
void Redraw ();

/* mouse interaction */
void Start  ();
void Move   ();
void End    ();

void Debug  ();

/* drawing context */
typedef struct DrawContext DrawContext;

/* context manipulation */
DrawContext * NewDrawContext();
DrawContext * SetDrawContext();
DrawContext * GetDrawContext();

#endif
