/*
Copyright 1988 by the Massachusetts Institute of Technology
                  and Apollo Computer, Inc. and
                  heirs, successors, and assignees.

Permission to use, copy, modify, and distribute this
software and its documentation for any purpose and without
fee is hereby granted, provided that the above copyright
notice appear in all copies and that both that copyright
notice and this permission notice appear in supporting
documentation, and that the names of Apollo or M.I.T. not be used in
advertising or publicity pertaining to distribution of the
software without specific, written prior permission.
Apollo and M.I.T. make no representations about the suitability of
this software for any purpose.  It is provided "as is"
without express or implied warranty.
*/

#ifndef _XtLogoP_h
#define _XtLogoP_h

#include "Logo.h"
#include <X11/CoreP.h>

typedef struct {
	 Pixel	 fgpixel;
         Pixmap  bitmap;
	 Boolean reverse_video;
	 GC	 foreGC;
   } LogoPart;

typedef struct _LogoRec {
   CorePart core;
   LogoPart logo;
   } LogoRec;

typedef struct {int dummy;} LogoClassPart;

typedef struct _LogoClassRec {
   CoreClassPart core_class;
   LogoClassPart logo_class;
   } LogoClassRec;

extern LogoClassRec logoClassRec;

#endif _XtLogoP_h
